Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# SDLColumnItem Class Reference

`#include <sdlcolumnitem.h>`

Inheritance diagram for SDLColumnItem

[legend]
Collaboration diagram for SDLColumnItem:

[legend]
List of all members.

## Public Methods
| SDLColumnItem (int columns, int height, void* userdata = NULL)
| ~SDLColumnItem ()
void | SetColumnWidth (int column, int width)
void | SetColumnText (int column, char* text)
## Protected Methods
void | eventDraw (SDL_Surface* surface, SDL_Rect* rect)
| Draw event handler. More...
void | eventBlit (SDL_Surface* srf, SDL_Rect* src, SDL_Rect* dst)

## Constructor & Destructor Documentation

SDLColumnItem::SDLColumnItem ( | int columns,
| int height,
| void * userdata = NULL )

SDLColumnItem::~SDLColumnItem ( | )

## Member Function Documentation

void SDLColumnItem::SetColumnText ( | int column,
| char * text )

void SDLColumnItem::SetColumnWidth ( | int column,
| int width )

void SDLColumnItem::eventBlit ( | SDL_Surface * srf,
| SDL_Rect * src,
| SDL_Rect * dst )`[protected, virtual]`

| Reimplemented from SDLListBoxItem.

void SDLColumnItem::eventDraw ( | SDL_Surface * surface,
| SDL_Rect * rect )`[protected, virtual]`

  | Draw event handler. Parameters:
  SDL_Surface | Surface to draw to.
  rect | Rectangle to draw in, relative to surface.
Reimplemented from SDLLabel.

The documentation for this class was generated from the following file:

- sdlcolumnitem.h